## pyside 1.0.1

=== PySide/QtHelp/CMakeLists.txt ===
project(QtHelp)

set(QtHelp_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpcontentitem_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpcontentmodel_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpcontentwidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpenginecore_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpengine_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpindexmodel_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpindexwidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpsearchengine_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpsearchquerywidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpsearchquery_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpsearchresultwidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qthelp_module_wrapper.cpp
)

set(QtHelp_typesystem_path "${QtCore_SOURCE_DIR}${PATH_SEP}${QtGui_SOURCE_DIR}${PATH_SEP}${QtHelp_SOURCE_DIR}${PATH_SEP}${QtGui_BINARY_DIR}")
set(QtHelp_include_dirs ${CMAKE_CURRENT_SOURCE_DIR}
                        ${QT_QTCORE_INCLUDE_DIR}
                        ${QT_QTGUI_INCLUDE_DIR}
                        ${QT_QTHELP_INCLUDE_DIR}
                        ${SHIBOKEN_PYTHON_INCLUDE_DIR}
                        ${SHIBOKEN_INCLUDE_DIR}
                        ${libpyside_SOURCE_DIR}
                        ${QtGui_BINARY_DIR}/PySide/QtGui/
                        ${QtCore_BINARY_DIR}/PySide/QtCore/
                        ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp)
set(QtHelp_libraries  pyside
                      ${SHIBOKEN_PYTHON_LIBRARIES}
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTGUI_LIBRARY}
                      ${QT_QTHELP_LIBRARY})
set(QtHelp_deps QtGui)

create_pyside_module(QtHelp
                     QtHelp_include_dirs
                     QtHelp_libraries
                     QtHelp_deps
                     QtHelp_typesystem_path
                     QtHelp_SRC)

=== PySide/QtScript/CMakeLists.txt ===
project(QtScript)

if (${QT_VERSION_MAJOR} EQUAL 4 AND ${QT_VERSION_MINOR} LESS 6)
    set (QtCore_46_SRC )
else()
    set(QtScript_46_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScript/qscriptprogram_wrapper.cpp
    )
endif()

set(QtScript_SRC
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScript/qscriptable_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScript/qscriptclass_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScript/qscriptclasspropertyiterator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScript/qscriptcontext_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScript/qscriptcontextinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScript/qscriptengineagent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScript/qtscript_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScript/qscriptengine_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScript/qscriptextensioninterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScript/qscriptextensionplugin_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScript/qscriptstring_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScript/qscriptvalue_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScript/qscriptvalueiterator_wrapper.cpp
${QtScript_46_SRC}
)

set(QtScript_typesystem_path "${QtCore_SOURCE_DIR}")
set(QtScript_include_dirs   ${CMAKE_CURRENT_SOURCE_DIR}
                            ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScript
                            ${QT_INCLUDE_DIR}
                            ${QT_QTSCRIPT_INCLUDE_DIR}
                            ${SHIBOKEN_INCLUDE_DIR}
                            ${libpyside_SOURCE_DIR}
                            ${SHIBOKEN_PYTHON_INCLUDE_DIR}
                            ${QtCore_BINARY_DIR}/PySide/QtCore )
set(QtScript_libraries      pyside
                            ${SHIBOKEN_PYTHON_LIBRARIES}
                            ${SHIBOKEN_LIBRARY}
                            ${QT_QTCORE_LIBRARY}
                            ${QT_QTSCRIPT_LIBRARY})
set(QtScript_deps QtCore)
create_pyside_module(QtScript
                     QtScript_include_dirs
                     QtScript_libraries
                     QtScript_deps
                     QtScript_typesystem_path
                     QtScript_SRC)

=== PySide/QtScriptTools/CMakeLists.txt ===
project(QtScriptTools)

set(QtScriptTools_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScriptTools/qtscripttools_module_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScriptTools/qscriptenginedebugger_wrapper.cpp
)

set(QtScriptTools_typesystem_path "${QtCore_SOURCE_DIR}${PATH_SEP}${QtGui_SOURCE_DIR}${PATH_SEP}${QtScript_SOURCE_DIR}${PATH_SEP}${QtScriptTools_SOURCE_DIR}${PATH_SEP}${QtGui_BINARY_DIR}")

set(QtScriptTools_include_dirs ${CMAKE_CURRENT_SOURCE_DIR}
                                ${QT_QTCORE_INCLUDE_DIR}
                                ${QT_GUI_INCLUDE_DIR}
                                ${QT_QTSCRIPT_INCLUDE_DIR}
                                ${QT_QTSCRIPTTOOLS_INCLUDE_DIR}
                                ${SHIBOKEN_PYTHON_INCLUDE_DIR}
                                ${SHIBOKEN_INCLUDE_DIR}
                                ${libpyside_SOURCE_DIR}
                                ${QtCore_BINARY_DIR}/PySide/QtCore/
                                ${QtGui_BINARY_DIR}/PySide/QtGui/
                                ${QtScript_BINARY_DIR}/PySide/QtScript/
                                ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtScriptTools)

set(QtScriptTools_libraries     pyside
                                ${SHIBOKEN_PYTHON_LIBRARIES}
                                ${QT_QTCORE_LIBRARY}
                                ${QT_GUI_LIBRARY}
                                ${QT_QTSCRIPT_LIBRARY}
                                ${QT_QTSCRIPTTOOLS_LIBRARY})
set(QtScriptTools_deps QtCore QtScript QtGui)

create_pyside_module(QtScriptTools
                     QtScriptTools_include_dirs
                     QtScriptTools_libraries
                     QtScriptTools_deps
                     QtScriptTools_typesystem_path
                     QtScriptTools_SRC)

=== PySide/QtSvg/CMakeLists.txt ===
project(QtSvg)

set(QtSvg_SRC
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSvg/qgraphicssvgitem_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSvg/qsvggenerator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSvg/qsvgrenderer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSvg/qsvgwidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSvg/qtsvg_module_wrapper.cpp
)

set(QtSvg_typesystem_path "${QtCore_SOURCE_DIR}${PATH_SEP}${QtGui_SOURCE_DIR}${PATH_SEP}${QtGui_BINARY_DIR}")
set(QtSvg_include_dirs  ${CMAKE_CURRENT_SOURCE_DIR}
                        ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSvg/
                        ${QT_INCLUDE_DIR}
                        ${QT_QTCORE_INCLUDE_DIR}
                        ${QT_QTGUI_INCLUDE_DIR}
                        ${QT_QTSVG_INCLUDE_DIR}
                        ${SHIBOKEN_INCLUDE_DIR}
                        ${libpyside_SOURCE_DIR}
                        ${SHIBOKEN_PYTHON_INCLUDE_DIR}
                        ${QtCore_BINARY_DIR}/PySide/QtCore/
                        ${QtGui_BINARY_DIR}/PySide/QtGui/)
set(QtSvg_libraries     pyside
                        ${SHIBOKEN_PYTHON_LIBRARIES}
                        ${SHIBOKEN_LIBRARY}
                        ${QT_QTSVG_LIBRARY}
                        ${QT_QTGUI_LIBRARY})
set(QtSvg_deps QtGui)
create_pyside_module(QtSvg
                     QtSvg_include_dirs
                     QtSvg_libraries
                     QtSvg_deps
                     QtSvg_typesystem_path
                     QtSvg_SRC)

=== PySide/QtTest/CMakeLists.txt ===
project(QtTest)

set(QtTest_SRC
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtTest/qtest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtTest/qttest_module_wrapper.cpp
)

set(QtTest_typesystem_path "${QtCore_SOURCE_DIR}${PATH_SEP}${QtGui_SOURCE_DIR}${PATH_SEP}${QtGui_BINARY_DIR}")
set(QtTest_include_dirs ${CMAKE_CURRENT_SOURCE_DIR}
                        ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtTest/
                        ${QT_INCLUDE_DIR}
                        ${QT_QTCORE_INCLUDE_DIR}
                        ${QT_QTGUI_INCLUDE_DIR}
                        ${QT_QTTEST_INCLUDE_DIR}
                        ${SHIBOKEN_INCLUDE_DIR}
                        ${libpyside_SOURCE_DIR}
                        ${SHIBOKEN_PYTHON_INCLUDE_DIR}
                        ${QtCore_BINARY_DIR}/PySide/QtCore/
                        ${QtGui_BINARY_DIR}/PySide/QtGui/)
set(QtTest_libraries    pyside
                        ${SHIBOKEN_PYTHON_LIBRARIES}
                        ${SHIBOKEN_LIBRARY}
                        ${QT_QTTEST_LIBRARY}
                        ${QT_QTGUI_LIBRARY}
                        ${QT_QTCORE_LIBRARY})
set(QtTest_deps  QtGui)
create_pyside_module(QtTest
                     QtTest_include_dirs
                     QtTest_libraries
                     QtTest_deps
                     QtTest_typesystem_path
                     QtTest_SRC)

=== PySide/QtXml/CMakeLists.txt ===
project(QtXml)

set(QtXml_SRC
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomattr_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomcdatasection_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomcharacterdata_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomcomment_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomdocument_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomdocumentfragment_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomdocumenttype_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomelement_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomentity_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomentityreference_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomimplementation_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomnamednodemap_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomnode_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomnodelist_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomnotation_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomprocessinginstruction_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qdomtext_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qtxml_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qxmlattributes_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qxmlcontenthandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qxmldeclhandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qxmldefaulthandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qxmldtdhandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qxmlentityresolver_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qxmlerrorhandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qxmlinputsource_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qxmllexicalhandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qxmllocator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qxmlnamespacesupport_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qxmlparseexception_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qxmlreader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml/qxmlsimplereader_wrapper.cpp
)

set(QtXml_typesystem_path "${QtCore_SOURCE_DIR}")
set(QtXml_include_dirs      ${CMAKE_CURRENT_SOURCE_DIR}
                            ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXml
                            ${CMAKE_SOURCE_DIR}
                            ${QT_INCLUDE_DIR}
                            ${QT_QTCORE_INCLUDE_DIR}
                            ${QT_QTXML_INCLUDE_DIR}
                            ${SHIBOKEN_INCLUDE_DIR}
                            ${libpyside_SOURCE_DIR}
                            ${SHIBOKEN_PYTHON_INCLUDE_DIR}
                            ${QtCore_BINARY_DIR}/PySide/QtCore)
set(QtXml_libraries         pyside
                            ${SHIBOKEN_PYTHON_LIBRARIES}
                            ${SHIBOKEN_LIBRARY}
                            ${QT_QTXML_LIBRARY})
set(QtXml_deps QtCore)
create_pyside_module(QtXml
                     QtXml_include_dirs
                     QtXml_libraries
                     QtXml_deps
                     QtXml_typesystem_path
                     QtXml_SRC)

=== tests/QtDeclarative/CMakeLists.txt ===
PYSIDE_TEST(bug_451.py)
PYSIDE_TEST(bug_456.py)
PYSIDE_TEST(bug_557.py)
PYSIDE_TEST(bug_726.py)
PYSIDE_TEST(qdeclarativenetwork_test.py)
PYSIDE_TEST(qdeclarativeview_test.py)
PYSIDE_TEST(connect_python_qml.py)
PYSIDE_TEST(registertype.py)

=== tests/phonon/CMakeLists.txt ===
if (NOT WIN32 OR NOT ${QTVERSION} VERSION_EQUAL 4.7.1)
    # Any usage of Phonon::createPath will fail on Win32 and Qt 4.7.1.
    # Check: http://bugreports.qt.nokia.com/browse/QTBUG-13062
    PYSIDE_TEST(basic_playing_test.py)
endif()
PYSIDE_TEST(bug_328.py)
PYSIDE_TEST(capabilities_test.py)

=== debian/changelog ===
pyside (1.0.1-1) unstable; urgency=low

  * New 1.0.1 upstream release
    - Bump the B-D chain versions:
      + generatorrunner to 0.6.8.
      + shiboken to 1.0.1.
 
  * Move phonon-backend-gstreamer B-D earlier in the list to help the
    aptitude-based resolver (thanks to the pkg-kde team for the help!)
  * Use dh_python2, hence get the debug files at the correct place.

 -- Didier Raboud <odyx@debian.org>  Fri, 01 Apr 2011 15:21:05 +0200

pyside (1.0.0-2) unstable; urgency=low

  * Upload to unstable

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Mar 2011 15:19:32 +0100

pyside (1.0.0-1) experimental; urgency=low

  * New 1.0.0 upstream release
    - Bump the B-D chain versions:
      + generatorrunner to 0.6.7.
      + shiboken to 1.0.0.

 -- Didier Raboud <odyx@debian.org>  Fri, 04 Mar 2011 16:25:21 +0100

pyside (1.0.0~rc1-1) experimental; urgency=low

  * New 1.0.0~rc1 upstream release
    - Bump the B-D chain versions:
      + apiextractor to 0.10.0-2~
      + generatorrunner to 0.6.6
      + shiboken to 1.0.0~rc1
  * Update patches to ~rc1.
  * debian/watch: update to handle Release Candidates too.
  * Bump XS-Python-Version to >= 2.6.

 -- Didier Raboud <odyx@debian.org>  Fri, 18 Feb 2011 18:01:00 +0100

pyside (1.0.0~beta5-1) experimental; urgency=low

  * New 1.0.0~beta5 upstream release
    - Bump the B-D chain versions:
      + apiextractor to 0.9.4
      + generatorrunner to 0.6.5
      + shiboken to 1.0.0~beta5
      + Qt to 4:4.7.0
    - Bump libpyside SONAME to 1.0
  * Add libgl1-mesa-dri Build-Dependency to enable the GLX extension to
    the Xvfb server (useful for some OpenGL build-tests)
  * Make the libpyside SOVERSION configurable in debian/rules.
  * Patches:
    - Update all patches to ~beta5
    - Add allowMultiplePySideVersions.patch to allow the
      selection of the desired python flavour
  * Make sure the private.py is installed in QtCore module.
  * Fix the QtGui->QtCore modules dependencies.
  * debian/watch: Update to handle more versions.

  * Rewrite completely the symbols handling:
    - Split them to track them across various distributions and gcc versions.
    - Generate the symbols files for the concerned python versions

  * Use my @d.o address and remove the DMUA flag.

 -- Didier Raboud <odyx@debian.org>  Mon, 14 Feb 2011 17:37:41 +0100

pyside (0.4.2-1) experimental; urgency=low

  * New 0.4.2 upstream release.
    - Add some 0.4.1 and 0.4.2 symbols.
    - Bump apiextractor and shiboken B-D versions.
    - Update patches.
    - Update debian/dh_pycmakedeps to work with new upstream coding style.

  * Patches:
    - u_c130273_fix_py25_QtScript_property.patch
      Remove, was from upstream.
    - u_20e226b_fix_missing_qcoreapplication_arguments_method.patch
      Remove, was from upstream.
    - u_268bf77_fixed_signal_signature_parser.patch
      Remove, was from upstream.
    + libPythonVersionPostfix.patch: Refresh
    + usePySpecificShiboken.patch: Refresh
    + lessBuildVerbosity.patch: Refresh
 
  * Bump the B-D chain versions.
  * Make sure the private.py is installed in QtCore module.
  * Build against Qt 4.7.
    - Add libqtwebkit-dev
    - Drop QtMultimedia module.
    - Add the QtDeclarative package.

 -- Didier Raboud <didier@raboud.com>  Tue, 19 Oct 2010 22:52:14 +0200

=== debian/control ===
Source: pyside
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 7.4.12~), cmake (>= 2.8.2), dpkg-dev (>= 1.15.6),
 python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3),
 phonon-backend-gstreamer,
 libqt4-dev (>= 4:4.7.0), libphonon-dev, libqt4-opengl-dev (>= 4:4.7.0), libqtwebkit-dev,
 shiboken (>= 1.0.1), libshiboken-dev (>= 1.0.1), shiboken-dbg (>= 1.0.1),
 generatorrunner (>= 0.6.8), libgenrunner-dev (>= 0.6.8), libapiextractor-dev (>= 0.10.1),
 libqt4-sql-sqlite (>= 4:4.7.0), xvfb, xauth, libgl1-mesa-dri
# Various Build-Depends are needed for success of the testsuite:
# libqt4-sql-sqlite is needed because we need one sql driver.
# xvfb and xauth are needed to run a fake X Server; libgl1-mesa-dri is needed for the GLX-using tests
# phonon-backend-gstreamer is needed to test phonon
Standards-Version: 3.9.1.0
X-Python-Version: >= 2.6
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyside/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyside/
Homepage: http://www.pyside.org/

Package: python-pyside
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
  python-pyside.phonon (>= ${binary:Version}),
  python-pyside.qtcore (>= ${binary:Version}),
  python-pyside.qtdeclarative (>= ${binary:Version}),
  python-pyside.qtgui (>= ${binary:Version}),
  python-pyside.qthelp (>= ${binary:Version}),
  python-pyside.qtnetwork (>= ${binary:Version}),
  python-pyside.qtopengl (>= ${binary:Version}),
  python-pyside.qtscript (>= ${binary:Version}),
  python-pyside.qtsql (>= ${binary:Version}),
  python-pyside.qtsvg (>= ${binary:Version}),
  python-pyside.qtuitools (>= ${binary:Version}),
  python-pyside.qtwebkit (>= ${binary:Version}),
  python-pyside.qtxml (>= ${binary:Version})
Description: Python bindings for Qt4 (big metapackage)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Python bindings for Qt4 framework. This is a metapackage for all modules.

Package: python-pyside-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
  shiboken-dbg (>= 1.0.1),
  python-pyside.phonon (>= ${binary:Version}) |
  python-pyside.qtcore (>= ${binary:Version}) |
  python-pyside.qtdeclarative (>= ${binary:Version}) |
  python-pyside.qtgui (>= ${binary:Version}) |
  python-pyside.qthelp (>= ${binary:Version}) |
  python-pyside.qtnetwork (>= ${binary:Version}) |
  python-pyside.qtopengl (>= ${binary:Version}) |
  python-pyside.qtscript (>= ${binary:Version}) |
  python-pyside.qtsql (>= ${binary:Version}) |
  python-pyside.qtsvg (>= ${binary:Version}) |
  python-pyside.qtuitools (>= ${binary:Version}) |
  python-pyside.qtwebkit (>= ${binary:Version}) |
  python-pyside.qtxml (>= ${binary:Version}) |
  libpyside1.0 (>= ${binary:Version})
Description: Python bindings for Qt 4 (debug symbols)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols.

Package: libpyside1.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python bindings for Qt 4 (base files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains base files used by all modules.

Package: libpyside-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libpyside1.0 (=${binary:Version}), libqt4-dev (>= 4:4.7.0)
Replaces: libpyside0.3 (<< 0.4.0)
Breaks: libpyside0.3 (<< 0.4.0)
Description: Python bindings for Qt 4 (development files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside library.

Package: python-pyside.qtcore
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 core module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtCore module.

Package: python-pyside.qtdeclarative
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 Declarative module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtDeclarative module.

Package: python-pyside.qtgui
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 GUI module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtGui module.

Package: python-pyside.qthelp
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 help module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtHelp module.

Package: python-pyside.qtnetwork
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 network module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtNetwork module.

Package: python-pyside.qtopengl
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 OpenGL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtOpenGL module.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: python-pyside.phonon
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 Phonon module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the Phonon multimedia module.

Package: python-pyside.qtscript
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 script module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtScript and QtScriptTools
 modules.

Package: python-pyside.qtsql
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 SQL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSql module.

Package: python-pyside.qtsvg
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 SVG module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSvg module.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: python-pyside.qttest
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 test module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtTest module.

Package: python-pyside.qtuitools
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 UI tools module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtUiTools module.

Package: python-pyside.qtwebkit
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 WebKit module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtWebKit module.

Package: python-pyside.qtxml
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 XML module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtXml and QtXmlPatterns modules.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 --buildsystem=cmake --parallel $@

# Python versions
PYVERSIONS=$(shell pyversions -v -r)
DEFAULT_PY=$(shell pyversions -v -d)
LIBPYSIDE_SOVERSION=1.0

# G++ versions
g++-version := $(shell readlink /usr/bin/g++ | sed -e 's/g++-\(.*\)\.\(.*\)/\1\2/')
g++-version-ge-4.5 := $(shell if test $(g++-version) -ge 45; then echo "yes"; else echo "no"; fi)

#### CONFIGURE ####

override_dh_auto_configure: $(PYVERSIONS:%=override_dh_auto_configure_dbg-%) $(PYVERSIONS:%=override_dh_auto_configure-%)

override_dh_auto_configure_dbg-%:
	mkdir -p build-$*-dbg
	dh_auto_configure --builddirectory=build-$*-dbg -- \
	-DCMAKE_VERBOSE_MAKEFILE=OFF \
	-DCMAKE_BUILD_TYPE:STRING="Debug" \
	-DCMAKE_SKIP_RPATH=true \
	-DCMAKE_USE_PYTHON_VERSION="$*-dbg;$*_d;$*" \
	-DUSE_XVFB=true \
	-DPYTHON_BASENAME=python$*-dbg

override_dh_auto_configure-%:
	mkdir -p build-$*
	dh_auto_configure --builddirectory=build-$* -- \
	-DCMAKE_VERBOSE_MAKEFILE=OFF \
	-DCMAKE_BUILD_TYPE:STRING="Release" \
	-DCMAKE_SKIP_RPATH=true \
	-DCMAKE_USE_PYTHON_VERSION="$*" \
	-DUSE_XVFB=true \
	-DPYTHON_BASENAME=python$* \
	-DDEFAULT_PYTHON_BASENAME=python${DEFAULT_PY}

#### BUILD ####

override_dh_auto_build: $(PYVERSIONS:%=override_dh_auto_build_dbg-%) $(PYVERSIONS:%=override_dh_auto_build-%)

override_dh_auto_build_dbg-%:
	dh_auto_build --builddirectory=build-$*-dbg

override_dh_auto_build-%:
	dh_auto_build --builddirectory=build-$*

#### INSTALL ####

override_dh_auto_install: $(PYVERSIONS:%=override_dh_auto_install_dbg-%) $(PYVERSIONS:%=override_dh_auto_install-%)

override_dh_auto_install_dbg-%:
	dh_auto_install --builddirectory=build-$*-dbg --destdir=debian/tmp-dbg

override_dh_auto_install-%:
	dh_auto_install --builddirectory=build-$*

#### Shared libs ####
override_dh_makeshlibs: $(PYVERSIONS:%=override_dh_makeshlibs-%)
	cat debian/libpyside${LIBPYSIDE_SOVERSION}.symbols-py* > debian/libpyside${LIBPYSIDE_SOVERSION}.symbols
	dh_makeshlibs

override_dh_makeshlibs-%:
	echo "libpyside-python$*.so.${LIBPYSIDE_SOVERSION} libpyside${LIBPYSIDE_SOVERSION} #MINVER#" > debian/libpyside${LIBPYSIDE_SOVERSION}.symbols-py$*
	cat debian/libpyside${LIBPYSIDE_SOVERSION}.symbols.pristine >> debian/libpyside${LIBPYSIDE_SOVERSION}.symbols-py$*
ifeq ($(g++-version-ge-4.5),yes)
	# g++ version is >= 4.5, add related symbols
	sed -e 's|^ _| (ge-g++4.5)_|g' debian/libpyside${LIBPYSIDE_SOVERSION}.symbols.g++-ge-4.5 >> debian/libpyside${LIBPYSIDE_SOVERSION}.symbols-py$*
else
	# g++ version is < 4.5, add related symbols
	sed -e 's|^ _| (lt-g++4.5)_|g' debian/libpyside${LIBPYSIDE_SOVERSION}.symbols.g++-lt-4.5 >> debian/libpyside${LIBPYSIDE_SOVERSION}.symbols-py$*
endif

#### STRIP ####
override_dh_strip:
	dh_strip --dbg-package=python-pyside-dbg --exclude=-dbg.so --exclude=_d.so
	
#### TEST ####
override_dh_auto_test: $(PYVERSIONS:%=override_dh_auto_test_dbg-%) $(PYVERSIONS:%=override_dh_auto_test-%)

override_dh_auto_test_dbg-%:
	- dh_auto_test --builddirectory=build-$*-dbg

override_dh_auto_test-%:
	- dh_auto_test --builddirectory=build-$*

#### CLEAN ####
override_dh_auto_clean:
	rm -rf build-*
	cd tests; rm -Rf *.pyc */*.pyc */*/*.pyc */*/*/*.pyc
	rm -rf debian/tmp-dbg
	rm -f debian/libpyside${LIBPYSIDE_SOVERSION}.symbols
	rm -f debian/libpyside${LIBPYSIDE_SOVERSION}.symbols-py*

#### DEBIAN INSTALL ####

override_dh_install: override_dh_install_3

override_dh_install_1:
	# Move the debug .so's right in place
	$(shell rename 's/(debian\/tmp-dbg\/)(.*)\.so(.*)$$/debian\/tmp\/$$2_d.so$$3/'\
	             debian/tmp-dbg/usr/lib/python*/*-packages/PySide/*.so)
	$(shell rename 's/(debian\/tmp-dbg\/)(.*)\.so(.*)$$/debian\/tmp\/$$2.so$$3/'\
	             debian/tmp-dbg/usr/lib/*.so*)
	# Setup the default version symbolic links
	$(shell ln -s libpyside-python${DEFAULT_PY}.so.${LIBPYSIDE_SOVERSION} \
	             debian/tmp/usr/lib/libpyside${LIBPYSIDE_SOVERSION}.so)
	$(shell ln -s libpyside${LIBPYSIDE_SOVERSION}.so debian/tmp/usr/lib/libpyside.so)

override_dh_install_2: override_dh_install_1
	# Do the legacy install for the rest
	dh_install --list-missing

override_dh_install_3: override_dh_install_2
	# Move the debug library to the correct package.
	$(shell rename 's/(debian\/libpyside${LIBPYSIDE_SOVERSION}\/)(.*)-dbg\.so(.*)$$/debian\/python-pyside-dbg\/$$2-dbg.so$$3/' \
	              debian/libpyside${LIBPYSIDE_SOVERSION}/usr/lib/*-dbg.so*)
	# Move the debug cmake files to the correct package
	$(shell rename 's/(debian\/libpyside-dev\/)(.*)-dbg\.cmake/debian\/python-pyside-dbg\/$$2-dbg.cmake/'\
	              debian/tmp-dbg/usr/lib/cmake/PySide-*/*-dbg.cmake)

override_dh_gencontrol:
	debian/dh_pycmakedeps --modules-root=PySide/
	dh_gencontrol

## pyside 1.0.1-1maemo1

=== tests/QtGui/CMakeLists.txt ===
#Keep this in alphabetical sort

PYSIDE_TEST(api2_test.py)
PYSIDE_TEST(add_action_test.py)
PYSIDE_TEST(bug_172.py)
PYSIDE_TEST(bug_243.py)
PYSIDE_TEST(bug_300_test.py)
PYSIDE_TEST(bug_307.py)
PYSIDE_TEST(bug_324.py)
PYSIDE_TEST(bug_338.py)
PYSIDE_TEST(bug_363.py)
PYSIDE_TEST(bug_367.py)
PYSIDE_TEST(bug_389.py)
PYSIDE_TEST(bug_400.py)
PYSIDE_TEST(bug_416.py)
PYSIDE_TEST(bug_429.py)
PYSIDE_TEST(bug_430.py)
PYSIDE_TEST(bug_433.py)
PYSIDE_TEST(bug_467.py)
PYSIDE_TEST(bug_480.py)
PYSIDE_TEST(bug_493.py)
PYSIDE_TEST(bug_500.py)
PYSIDE_TEST(bug_512.py)
PYSIDE_TEST(bug_525.py)
PYSIDE_TEST(bug_546.py)
PYSIDE_TEST(bug_547.py)
PYSIDE_TEST(bug_549.py)
PYSIDE_TEST(bug_569.py)
PYSIDE_TEST(bug_575.py)
PYSIDE_TEST(bug_576.py)
PYSIDE_TEST(bug_585.py)
PYSIDE_TEST(bug_589.py)
PYSIDE_TEST(bug_617.py)
PYSIDE_TEST(bug_635.py)
PYSIDE_TEST(bug_640.py)
PYSIDE_TEST(bug_652.py)
PYSIDE_TEST(bug_653.py)
PYSIDE_TEST(bug_660.py)
PYSIDE_TEST(bug_662.py)
PYSIDE_TEST(bug_667.py)
PYSIDE_TEST(bug_668.py)
PYSIDE_TEST(bug_674.py)
PYSIDE_TEST(bug_675.py)
PYSIDE_TEST(bug_696.py)
PYSIDE_TEST(bug_693.py)
PYSIDE_TEST(bug_714.py)
PYSIDE_TEST(bug_728.py)
PYSIDE_TEST(bug_736.py)
PYSIDE_TEST(customproxywidget_test.py)
PYSIDE_TEST(deepcopy_test.py)
PYSIDE_TEST(float_to_int_implicit_conversion_test.py)
PYSIDE_TEST(grandparent_method_test.py)
PYSIDE_TEST(hashabletype_test.py)
PYSIDE_TEST(keep_reference_test.py)
PYSIDE_TEST(missing_symbols_test.py)
PYSIDE_TEST(paint_event_test.py)
PYSIDE_TEST(parent_method_test.py)
PYSIDE_TEST(pyside_reload_test.py)
PYSIDE_TEST(python_properties_test.py)
PYSIDE_TEST(qabstracttextdocumentlayout_test.py)
PYSIDE_TEST(qapplication_exit_segfault_test.py)
PYSIDE_TEST(qapplication_singleton_test.py)
PYSIDE_TEST(qapp_test.py)
PYSIDE_TEST(qbrush_test.py)
PYSIDE_TEST(qcolor_test.py)
PYSIDE_TEST(qcursor_test.py)
PYSIDE_TEST(qaction_test.py)
PYSIDE_TEST(qdatastream_gui_operators_test.py)
PYSIDE_TEST(qdynamic_signal.py)
PYSIDE_TEST(qfontdialog_test.py)
PYSIDE_TEST(qfontmetrics_test.py)
PYSIDE_TEST(qgraphicsitem_isblocked_test.py)
PYSIDE_TEST(qgraphicsitem_test.py)
PYSIDE_TEST(qgraphicsproxywidget_test.py)
PYSIDE_TEST(qgraphicsscene_test.py)
PYSIDE_TEST(qimage_test.py)
PYSIDE_TEST(qinputdialog_get_test.py)
PYSIDE_TEST(qitemselection_test.py)
PYSIDE_TEST(qlayout_ref_test.py)
PYSIDE_TEST(qlayout_test.py)
PYSIDE_TEST(qlcdnumber_test.py)
PYSIDE_TEST(qlistwidget_test.py)
PYSIDE_TEST(qlistwidgetitem_test.py)
PYSIDE_TEST(qmainwindow_test.py)
PYSIDE_TEST(qmatrix_test.py)
PYSIDE_TEST(qmenuadd_test.py)
PYSIDE_TEST(qmenu_test.py)
PYSIDE_TEST(qobject_mi_test.py)
PYSIDE_TEST(qpainter_test.py)
PYSIDE_TEST(qpen_test.py)
PYSIDE_TEST(qpixmap_test.py)
PYSIDE_TEST(qpolygonf_test.py)
PYSIDE_TEST(qpushbutton_test.py)
PYSIDE_TEST(qradialgradient_test.py)
PYSIDE_TEST(qregion_test.py)
PYSIDE_TEST(qshortcut_test.py)
PYSIDE_TEST(qstandarditemmodel_test.py)
PYSIDE_TEST(qstring_qkeysequence_test.py)
PYSIDE_TEST(qstyle_test.py)
PYSIDE_TEST(qtableview_test.py)
PYSIDE_TEST(qtabwidget_test.py)
PYSIDE_TEST(qtextedit_test.py)
PYSIDE_TEST(qtextedit_signal_test.py)
PYSIDE_TEST(qtoolbar_test.py)
PYSIDE_TEST(qtoolbox_test.py)
PYSIDE_TEST(qvariant_test.py)
PYSIDE_TEST(qvalidator_test.py)
PYSIDE_TEST(qwidget_setlayout_test.py)
PYSIDE_TEST(qwidget_test.py)
PYSIDE_TEST(reference_count_test.py)
PYSIDE_TEST(repr_test.py)
PYSIDE_TEST(standardpixmap_test.py)
PYSIDE_TEST(timed_app_test.py)
PYSIDE_TEST(virtual_protected_inheritance_test.py)
PYSIDE_TEST(virtual_pure_override_test.py)
PYSIDE_TEST(wrong_return_test.py)


if(X11)
    PYSIDE_TEST(x11_symbols_test.py)
endif()

=== tests/QtWebKit/CMakeLists.txt ===
PYSIDE_TEST(bug_448.py)
PYSIDE_TEST(bug_694.py)
PYSIDE_TEST(webpage_test.py)
PYSIDE_TEST(webview_test.py)

=== debian/changelog ===
pyside (1.0.1-1maemo1) unstable; urgency=low

  * New version from upstream.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Tue, 05 Apr 2011 16:00:11 -0300
